<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateOnboardingsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: onboardings
         */
        Schema::create('onboardings', function ($table) {
            $table->increments('id');
            $table->string('name', 255)->nullable();
            $table->string('email', 255)->nullable();
            $table->string('phone', 255)->nullable();
            $table->integer('department_id')->nullable();
            $table->integer('manager_id')->nullable();
            $table->text('resume')->nullable();
            $table->dateTime('schedule_date')->nullable();
            $table->string('salary', 50)->nullable();
            $table->string('probation', 50)->nullable();
            $table->string('designation', 50)->nullable();
            $table->enum('status', ['New','Scheduled','Processing','Accepted','Rejected'])->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 50)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('onboardings');
    }
}
