<?php

namespace Bixo\Onboarding;

use DB;
use Illuminate\Database\Seeder;

class OnboardingTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('onboardings')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'onboarding.onboarding.view',
                'name'      => 'View Onboarding',
            ],
            [
                'slug'      => 'onboarding.onboarding.create',
                'name'      => 'Create Onboarding',
            ],
            [
                'slug'      => 'onboarding.onboarding.edit',
                'name'      => 'Update Onboarding',
            ],
            [
                'slug'      => 'onboarding.onboarding.delete',
                'name'      => 'Delete Onboarding',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'onboarding.onboarding.verify',
                'name'      => 'Verify Onboarding',
            ],
            [
                'slug'      => 'onboarding.onboarding.approve',
                'name'      => 'Approve Onboarding',
            ],
            [
                'slug'      => 'onboarding.onboarding.publish',
                'name'      => 'Publish Onboarding',
            ],
            [
                'slug'      => 'onboarding.onboarding.unpublish',
                'name'      => 'Unpublish Onboarding',
            ],
            [
                'slug'      => 'onboarding.onboarding.cancel',
                'name'      => 'Cancel Onboarding',
            ],
            [
                'slug'      => 'onboarding.onboarding.archive',
                'name'      => 'Archive Onboarding',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/onboarding/onboarding',
                'name'        => 'Onboarding',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/onboarding/onboarding',
                'name'        => 'Onboarding',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'onboarding',
                'name'        => 'Onboarding',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Onboarding',
                'module'    => 'Onboarding',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'onboarding.onboarding.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
