# Installation

The instructions below will help you to properly install the generated package to the lavalite project.

## Location

Extract the package contents to the folder 

`/packages/bixo/onboarding/`

## Composer

Add the below entries in the `composer.json` file's autoload section and run the command `composer dump-autoload` in terminal.

```json

...
     "autoload": {
         ...

        "classmap": [
            ...
            
            "packages/bixo/onboarding/database/seeds",
            
            ...
        ],
        "psr-4": {
            ...
            
            "Bixo\\Onboarding\\": "packages/bixo/onboarding/src",
            
            ...
        }
    },
...

```

## Config

Add the entries in service provider in `config/app.php`

```php

...
    'providers'       => [
        ...
        
        Bixo\Onboarding\Providers\OnboardingServiceProvider::class,
        
        ...
    ],

    ...

    'alias'             => [
        ...
        
        'Onboarding'  => Bixo\Onboarding\Facades\Onboarding::class,
        
        ...
    ]
...

```

## Migrate

After service provider is set run the commapnd to migrate and seed the database.


    php artisan migrate
    php artisan db:seed --class=Bixo\\OnboardingTableSeeder

## Publishing


**Publishing configuration**

    php artisan vendor:publish --provider="Bixo\Onboarding\Providers\OnboardingServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Bixo\Onboarding\Providers\OnboardingServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Bixo\Onboarding\Providers\OnboardingServiceProvider" --tag="view"


## URLs and APIs


### Web Urls

**Admin**

    http://path-to-route-folder/admin/onboarding/{modulename}

**User**

    http://path-to-route-folder/user/onboarding/{modulename}

**Public**

    http://path-to-route-folder/onboardings


### API endpoints

**List**
 
    http://path-to-route-folder/api/user/onboarding/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/onboarding/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/onboarding/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/onboarding/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/onboarding/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/onboarding/{modulename}/{slug}
    METHOD: GET