Lavalite package that provides onboarding management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `bixo/onboarding`.

    "bixo/onboarding": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Bixo\Onboarding\Providers\OnboardingServiceProvider::class,

And also add it to alias

    'Onboarding'  => Bixo\Onboarding\Facades\Onboarding::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Bixo\\OnboardingTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Bixo\Onboarding\Providers\OnboardingServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Bixo\Onboarding\Providers\OnboardingServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Bixo\Onboarding\Providers\OnboardingServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/onboarding/{modulename}

**User**

    http://path-to-route-folder/user/onboarding/{modulename}

**Public**

    http://path-to-route-folder/onboardings


### API endpoints

**List**

    http://path-to-route-folder/api/user/onboarding/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/onboarding/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/onboarding/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/onboarding/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/onboarding/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/onboarding/{modulename}/{slug}
    METHOD: GET