<?php

namespace Bixo\Onboarding\Forms;

class Onboarding
{
    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $form;

    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $element;

    /**
     * Initialize the form.
     *
     * @return null
     */
    public function __construct()
    {
        $this->setForm();
    }

    /**
     * Return form elements.
     *
     * @return array.
     */
    public function form($element = 'fields', $grouped = true)
    {
        $item = collect($this->form->get($element));
        if ($element == 'fields' && $grouped == true) {
            return $item->groupBy(['group', 'section']);
        }
        return $item;

    }

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public function setForm()
    {
        $this->form = collect([
            'form' => [
                'store' => [],
                'update' => [],
            ],
            'groups' => [
                'main' => 'Main',
            ],
            'fields' => [
                'name' => [
                    "type" => 'text',
                    "label" => trans('onboarding::onboarding.label.name'),
                    "placeholder" => trans('onboarding::onboarding.placeholder.name'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'email' => [
                    "type" => 'text',
                    "label" => trans('onboarding::onboarding.label.email'),
                    "placeholder" => trans('onboarding::onboarding.placeholder.email'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'phone' => [
                    "type" => 'text',
                    "label" => trans('onboarding::onboarding.label.phone'),
                    "placeholder" => trans('onboarding::onboarding.placeholder.phone'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'department_id' => [
                    "type" => 'numeric',
                    "label" => trans('onboarding::onboarding.label.department_id'),
                    "placeholder" => trans('onboarding::onboarding.placeholder.department_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'manager_id' => [
                    "type" => 'numeric',
                    "label" => trans('onboarding::onboarding.label.manager_id'),
                    "placeholder" => trans('onboarding::onboarding.placeholder.manager_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'resume' => [
                    "type" => 'text',
                    "label" => trans('onboarding::onboarding.label.resume'),
                    "placeholder" => trans('onboarding::onboarding.placeholder.resume'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'schedule_date' => [
                    "type" => 'date_time_picker',
                    "label" => trans('onboarding::onboarding.label.schedule_date'),
                    "placeholder" => trans('onboarding::onboarding.placeholder.schedule_date'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'salary' => [
                    "type" => 'text',
                    "label" => trans('onboarding::onboarding.label.salary'),
                    "placeholder" => trans('onboarding::onboarding.placeholder.salary'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'probation' => [
                    "type" => 'text',
                    "label" => trans('onboarding::onboarding.label.probation'),
                    "placeholder" => trans('onboarding::onboarding.placeholder.probation'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'designation' => [
                    "type" => 'text',
                    "label" => trans('onboarding::onboarding.label.designation'),
                    "placeholder" => trans('onboarding::onboarding.placeholder.designation'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
            ]
        );

    }
}
