<?php

namespace Bixo\Onboarding;

use User;

class Onboarding
{
    /**
     * $onboarding object.
     */
    protected $onboarding;

    /**
     * Constructor.
     */
    public function __construct(\Bixo\Onboarding\Interfaces\OnboardingRepositoryInterface $onboarding)
    {
        $this->onboarding = $onboarding;
    }

    /**
     * Returns count of onboarding.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.onboarding.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->onboarding->pushCriteria(new \Litepie\Bixo\Repositories\Criteria\OnboardingUserCriteria());
        }

        $onboarding = $this->onboarding->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('onboarding::' . $view, compact('onboarding'))->render();
    }
}
