<?php

namespace Bixo\Onboarding\Providers;

use Litepie\Contracts\Workflow\Workflow as WorkflowContract;
use Litepie\Foundation\Support\Providers\WorkflowServiceProvider as ServiceProvider;

class WorkflowServiceProvider extends ServiceProvider
{
    /**
     * The validators mappings for the package.
     *
     * @var array
     */
    protected $validators = [
        
        // Bind Onboarding workflow validator
        'Bixo\Onboarding\Models\Onboarding' => \Bixo\Onboarding\Workflow\OnboardingValidator::class,
    ];

    /**
     * The actions mappings for the package.
     *
     * @var array
     */
    protected $actions = [
        
        // Bind Onboarding workflow actions
        'Bixo\Onboarding\Models\Onboarding' => \Bixo\Onboarding\Workflow\OnboardingAction::class,
    ];

    /**
     * The notifiers mappings for the package.
     *
     * @var array
     */
    protected $notifiers = [
       
        // Bind Onboarding workflow notifiers
        'Bixo\Onboarding\Models\Onboarding' => \Bixo\Onboarding\Workflow\OnboardingNotifier::class,
    ];

    /**
     * Register any package workflow validation services.
     *
     * @param \Litepie\Contracts\Workflow\Workflow $workflow
     *
     * @return void
     */
    public function boot(WorkflowContract $workflow)
    {
        parent::registerValidators($workflow);
        parent::registerActions($workflow);
        parent::registerNotifiers($workflow);
    }
}
