<?php

namespace Bixo\Onboarding\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class OnboardingTransformer extends TransformerAbstract
{
    public function transform(\Bixo\Onboarding\Models\Onboarding $onboarding)
    {
        return [
            'id'                => $onboarding->getRouteKey(),
            'key'               => [
                'public'    => $onboarding->getPublicKey(),
                'route'     => $onboarding->getRouteKey(),
            ], 
            'name'              => $onboarding->name,
            'email'             => $onboarding->email,
            'phone'             => $onboarding->phone,
            'department_id'     => $onboarding->department_id,
            'manager_id'        => $onboarding->manager_id,
            'resume'            => $onboarding->resume,
            'schedule_date'     => $onboarding->schedule_date,
            'salary'            => $onboarding->salary,
            'probation'         => $onboarding->probation,
            'designation'       => $onboarding->designation,
            'user_id'           => $onboarding->user_id,
            'user_type'         => $onboarding->user_type,
            'deleted_at'        => $onboarding->deleted_at,
            'url'               => [
                'public'    => trans_url('onboarding/'.$onboarding->getPublicKey()),
                'user'      => guard_url('onboarding/onboarding/'.$onboarding->getRouteKey()),
            ], 
            'status'            => trans('app.'.$onboarding->status),
            'created_at'        => format_date($onboarding->created_at),
            'updated_at'        => format_date($onboarding->updated_at),
        ];
    }
}