<?php

namespace Bixo\Onboarding\Workflow;

use Bixo\Onboarding\Models\Onboarding;
use Bixo\Onboarding\Notifications\OnboardingWorkflow as OnboardingNotifyer;
use Notification;

class OnboardingNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Onboarding $onboarding
     *
     * @return void
     */
    public function complete(Onboarding $onboarding)
    {
        return Notification::send($onboarding->user, new OnboardingNotifyer($onboarding, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Onboarding $onboarding
     *
     * @return void
     */
    public function verify(Onboarding $onboarding)
    {
        return Notification::send($onboarding->user, new OnboardingNotifyer($onboarding, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Onboarding $onboarding
     *
     * @return void
     */
    public function approve(Onboarding $onboarding)
    {
        return Notification::send($onboarding->user, new OnboardingNotifyer($onboarding, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Onboarding $onboarding
     *
     * @return void
     */
    public function publish(Onboarding $onboarding)
    {
        return Notification::send($onboarding->user, new OnboardingNotifyer($onboarding, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Onboarding $onboarding
     *
     * @return void
     */
    public function archive(Onboarding $onboarding)
    {
        return Notification::send($onboarding->user, new OnboardingNotifyer($onboarding, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Onboarding $onboarding
     *
     * @return void
     */
    public function unpublish(Onboarding $onboarding)
    {
        return Notification::send($onboarding->user, new OnboardingNotifyer($onboarding, 'unpublish'));;

    }
}
